Hi and welcome to the Forum
The Legacy Module product is for SLES, not SLED, perhaps it would be better to switch (grab a developer free 1 year registration?) and then can install?

Can you reach this download (openssl 1.0.2p update)?

https://download.suse.com/Download?buildid=f4RctDutehw~